/* Definitions */
/* Lengths of the different fixed-length codes */
#define CUECAT_DEVICE_ID_LEN    18
#define CUECAT_BARCODE_TYPE_LEN  3
#define CUECAT_BARCODE_SUBTYPE_LEN  1

/* Barcode decoder return codes */
#define BARCODE_DECODER_ERROR                 -1	/* Internal error */
#define NO_BARCODE_DECODING_IN_PROGRESS       0
#define POSSIBLE_BARCODE_DECODING_IN_PROGRESS 1
#define BARCODE_DECODED                       2 

/* Maximum number of scancodes sent by the cuecat in one transmission :
     ALT-F10 = 4 scancodes
   + '.'     = 2 scancodes
   + 6*4 capital letters (4 scancodes each)
   + '.'     = 2 scancodes
   + 4 capital letters (4 scancodes each)
   + '.'     = 2 scancodes
   + 256*4 capital letters (4 scancodes each) (arbitrary number)
   + '.'     = 2 scancodes
   + '\n'    = 2 scancodes
   = 4222 scancodes
*/ 
#define CUECAT_MAX_SCANCODE_SEQUENCE 4+2+(((4+4)+4+4)*6)+2+(4*4)+2+\
                                    (((4+4)+4+4)*256)+2+2



/* Function prototypes */
void cuecat_reset_barcode_decoder(void);
char cuecat_decode_barcode(unsigned char scancode,
                           char *cuecat_id,
                           char *barcode_type,
                           char *barcode);
